#3. Install add-on R packages
install.packages("ks")
install.packages("e1071")
install.packages("lattice")
install.packages("clusterSim")
install.packages("nnclust")

#4. Load R functions for defining land facets into the workspace
source(file="C:/land_facets/LF_fxns.R")

#5. Set the working directory
setwd("c:/land_facets")

#6. Load data from ArcGIS into R
data <- read.csv("c:/land_facets/example_data.csv")
head(data) #inspect first six rows of data

#7. Perform kernel density estimation
kde <- LF.kde(x=data, gridsize=151)

#8. Identify outliers using the threshold from step 7
out <- LF.outlier(x=kde, threshold=90)
data$outlier <- out$outlier
head(data)
table(data$outlier)

#9. Classify the non-outlier cells into land facets
clust <- LF.cluster(x=data[data$outlier==0,1:2], nclust=c(2:7), niter=2, psi=1.5, max=1000000)

#10. Export information about cluster analysis
LF.export(x=clust, k=4)






